#Catacombs stairs (down)
from eventAPI import showPicture, tickGame, setExit
from APIUtils import poseYesNo, firstHasItem, showMessage

def fireEvent(e):
    showPicture(e, "Catacombs")
    if(firstHasItem(e, "Skeleton Key") < 0):
        showMessage(e,
            ["The rusty bronze doors have the heaviest locks you've ever seen!",
             "It appears no one will be entering these tombs without a key"])
        return 0
    else:
        showMessage(e,
            ["The lock creaks ominously as you turn the Skeleton Key"])
    if (poseYesNo(e,
        ["You see dark and mysterious stairs leading down into an unknown abyss.",
         "Do you go down?"])):
        tickGame(e, 120)
        setExit(e, "maps/cata.cfg", 12, 4, 0)
    return 0
